Discuz! 官方站

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
楼主: skyhoo2008

[教程] Windows 2008 R2+IIS7.5+PHP+Mysql+Wincache+Memcache+URL伪静态环境搭建教程

[复制链接]
发表于 2013-1-21 00:56:44 | 显示全部楼层
楼主,我想请教一下,win2003应该选择什么样的版本搭建环境呢?目前程序有以下版本
1.mysql-5.5.29-win32.msi
2.php-5.4.11-Win32-VC9-x86
3.Zend Guard        5.5.0
不知道,现在最稳当的环境配置是哪个?希望楼主能给个详细的解答,非常感谢!
回复

使用道具 举报

 楼主| 发表于 2013-1-21 02:22:53 | 显示全部楼层
本帖最后由 skyhoo2008 于 2013-1-21 02:24 编辑
流年无殇 发表于 2013-1-21 00:56
楼主,我想请教一下,win2003应该选择什么样的版本搭建环境呢?目前程序有以下版本
1.mysql-5.5.29-win32. ...


windows 2003下如果采用IIS6的情况下,最好采用以下配置
IIS6+Fastcgi+php5.2x+mysql5.0.1+zend+memcache

至于我上面教程所采用的都是最新的版本,php5.4因为没有最新的memcache所以放弃,自php5.3版本以上已不支持zend了,而zend Guard速度还没有Wincache速度快。具体你自己可以测试一下。。
回复

使用道具 举报

发表于 2013-1-21 08:48:13 | 显示全部楼层
skyhoo2008 发表于 2013-1-21 02:22
windows 2003下如果采用IIS6的情况下,最好采用以下配置
IIS6+Fastcgi+php5.2x+mysql5.0.1+zend+memca ...

也就是说 MYSQL不用最新版,而是用5.0.1?   是否php-5.2.17与MYSQL5.0.1更适合呢?如果是php-5.2.17的话是采用 ZEND还是  wincache ?如果某些插件加密什么的是不是只能采取 zend了? 另外 ,fastcgi是不是 比 isapi要好?
回复

使用道具 举报

发表于 2013-1-21 10:29:28 | 显示全部楼层
Mysql 目前官方除了mysql-5.5.29-win32,还有两个旧版提供 分别是:
1. mysql-5.0.96.zip
2. mysql-essential-5.1.67-win32.msi
那么我应该用哪个更好呢? 现在手里有一个网站 原来的MYSQL版本是   mysql 5.0.51a,那我用mysql-5.0.96.zip 这个版本能不能用 他直接备份的.SQL文件呢?
回复

使用道具 举报

 楼主| 发表于 2013-1-21 14:06:30 | 显示全部楼层
流年无殇 发表于 2013-1-21 10:29
Mysql 目前官方除了mysql-5.5.29-win32,还有两个旧版提供 分别是:
1. mysql-5.0.96.zip
2. mysql-essen ...

数据库版本没多大关系,关键是PHP版本,php5.2 的建议用zend  ,当然FASTCGI速度会比ISAPI快一点
回复

使用道具 举报

发表于 2013-1-21 15:49:24 | 显示全部楼层
skyhoo2008 发表于 2013-1-21 14:06
数据库版本没多大关系,关键是PHP版本,php5.2 的建议用zend  ,当然FASTCGI速度会比ISAPI快一点

那是不是我用最新的数据库版本比较好啊?
有人说5.0或者5.1比较好,官网就只有
mysql-essential-5.1.67-win32.msi
mysql-5.0.96.zip
那是用这个呢?还是直接上最新版本呢?
回复

使用道具 举报

 楼主| 发表于 2013-1-21 15:59:31 | 显示全部楼层
流年无殇 发表于 2013-1-21 15:49
那是不是我用最新的数据库版本比较好啊?
有人说5.0或者5.1比较好,官网就只有
mysql-essential-5.1.67 ...

具体关系并没有显著的体现,关键要自己测试每一版本性能
回复

使用道具 举报

发表于 2013-1-21 16:38:07 | 显示全部楼层
skyhoo2008 发表于 2013-1-21 15:59
具体关系并没有显著的体现,关键要自己测试每一版本性能

额,顺便请教一个问题,我如果现在用mysql-5.0.96.zip 这个版本,那么我原来在mysql 5.0.51a这个版本的数据库中的数据应该如何导入新的这个Mysql里面比较方便和准确呢?
回复

使用道具 举报

 楼主| 发表于 2013-1-21 19:28:19 | 显示全部楼层
流年无殇 发表于 2013-1-21 16:38
额,顺便请教一个问题,我如果现在用mysql-5.0.96.zip 这个版本,那么我原来在mysql 5.0.51a这个版本的数 ...

如果你是独立服务器的话,直接把Mysql的data 里面相应数据库,复制出来就可以,还原也是非常简单,直接复制到你新装的数据库data  目录下即可。
如果不是独立服务器,建议你用帝国备份王,怎么用,自己百度。。
回复

使用道具 举报

发表于 2013-1-22 11:11:32 | 显示全部楼层
本帖最后由 anshuwei 于 2013-1-22 11:12 编辑

我现在用的是IIS7.5自带的FASTCGI,但时不时的就会出现500的错误,很苦恼。
[size=0.83em]半小时前 上传
下载附件 [size=0.83em](208.03 KB)





现在PV也就5万-6万之间,并不是很多,有时一天能出现个几次这个情况。

如果我想把FASTCGI直接改成ISAPI,能不能改呢?











回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

腾讯云自营「网站建设」全新上线!仅需1元,即可快速体验企业官网、电商网站的海量精美模版

小黑屋|Discuz! 官方站 ( 粤B2-20090059-165 )star

GMT+8, 2021-6-14 08:11

Powered by Discuz! X3.4

Copyright © 2001-2019 Tencent Cloud.

快速回复 返回顶部 返回列表